KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase upload-certs - Upload certificates to kubeadm-certs

SYNOPSIS
kubeadm init phase upload-certs [OPTIONS]

DESCRIPTION
Upload control plane certificates to the kubeadm-certs Secret

OPTIONS
--certificate-key=""
    Key used to encrypt the control-plane certificates in the kubeadm-certs Secret. The certificate key is a hex encoded string that is an AES key of size 32 bytes.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--skip-certificate-key-print=false
    Don't print the key used to encrypt the control-plane certificates.

--upload-certs=false
    Upload control-plane certificates to the kubeadm-certs Secret.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!